package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目信息表
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目信息表")
public class Item extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 事业部流水号
     */
    @ImportCell
    @ExportCell(columnName = "事业部流水号")
    private String businessNo;

    /**
     * 公司OA流水号
     */
    @ImportCell
    @ExportCell(columnName = "公司OA流水号")
    private String oaNo;

    /**
     * 项目名称
     */
    @ImportCell
    @ExportCell(columnName = "项目名称")
    private String name;

    /**
     * 业务来源
     */
    @ImportCell
    @ExportCell(columnName = "业务来源")
    private String businessSource;

    /**
     * 委托单位
     */
    @ImportCell
    @ExportCell(columnName = "委托单位")
    private String clientUnit;

    /**
     * 委托人
     */
    @ImportCell
    @ExportCell(columnName = "委托人")
    private String clientName;

    /**
     * 联系方式
     */
    @ImportCell
    @ExportCell(columnName = "联系方式")
    private String mobile;

    /**
     * 客户经理
     */
    @ImportCell
    @ExportCell(columnName = "客户经理")
    private String clientManager;

    /**
     * 技术负责人
     */
    @ImportCell
    @ExportCell(columnName = "技术负责人")
    private String skiller;

    /**
     * 合同签订时间
     */
    @ImportCell
    @ExportCell(columnName = "合同签订时间")
    private LocalDate signDate;

    /**
     * 合同支付方式
     */
    @ImportCell
    @ExportCell(columnName = "合同支付方式")
    private String paymentMethod;

    /**
     * 合同金额
     */
    @ImportCell
    @ExportCell(columnName = "合同金额")
    private BigDecimal amount;

    /**
     * 状态 (已作废)
     */
    private String state;

    /**
     * 所属部门
     */
    private Long departmentId;


}
